/*! \file Parameters.h 
 *  \brief: header file for inputs object
 */

#ifndef _PARAMETERS_H_
#define _PARAMETERS_H_

#include "./DataSet.h"

class Parameters: public DataSet{

	public:

		/*constructors, destructors: {{{1*/
		Parameters();
		Parameters(int enum_type);
		~Parameters();
		/*}}}*/
		/*numerics: {{{1*/
		int   FindParam(double* pscalar, char* name);
		int   FindParam(int* pinteger,char* name);
		int   FindParam(char** pstring,char* name);
		int   FindParam(char*** pstringarray,int* pM,char* name);
		int   FindParam(double** pdoublearray,int* pM,int* pN,char* name);
		int   FindParam(Vec* pvec,char* name);
		int   FindParam(Mat* pmat,char* name);
		/*}}}*/

};
#endif  /* _PARAMETERS_H */
